OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class OperatorAction

    java.lang.Object
      org.opennms.netmgt.eventd.db.OperatorAction

public class OperatorAction
extends java.lang.Object

This is an utility class used to format the event operator actions info - to be inserted into the 'events' table. This class only uses the operator action and operator state information - the operator menu goes into a separate database field

Author:
  Sowmya Nataraj , OpenNMS

Constructor Summary
`OperatorAction()`

Method Summary
`static java.lang.String` `format(java.util.List opacts, int sz)` Format the list of operator action entries of the event
`static java.lang.String` `format(Operaction opact)` Format each operator action entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperatorAction

    public OperatorAction()

Method Detail

### format

    public static java.lang.String format(Operaction opact)

  Format each operator action entry

  Parameters:
    `opact` - the entry
  Returns:
    the formatted string

### format

    public static java.lang.String format(java.util.List opacts,
                                          int sz)

  Format the list of operator action entries of the event

  Parameters:
    `opacts` - the list
    `sz` - the size to which the formatted string is to be limited to(usually the size of the column in the database)
  Returns:
    the formatted string

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.